import mysql.connector
from mysql.connector import errorcode


# Vars
hostname = "localhost"
username = ""
passwd = ""


def getConnection(db=""):
    if db != "":
        
        try:
            conn = mysql.connector.connect(host = hostname,
                user = username,
                password = passwd,
                database = db)
        except mysql.connector.Error as err:
            if err.errno == errorcode.ER_ACCESS_DENIED_ERROR:
                print("Username or Password is not working")
            elif err.errno == errorcode.ER_BAD_DB_ERROR:
                print("Database dose not exist")
            else:
                print(err)
        else:
            print("Connected to server.")
            return conn
    else:
        try:
            conn = mysql.connector.connect(host = hostname,
                user = username,
                password = passwd)
        except mysql.connector.Error as err:
            if err.errno == errorcode.ER_ACCESS_DENIED_ERROR:
                print("Username or Password is not working")
            else:
                print(err)
        else:
            print("Connected to server, without database.")
            return conn